Default Screen Issues: When using default screen, Load IFF distorts image. AMAL fails if using
Description

When using default screen, the Image appears distorted. (stretched about 2x horizontally)
If a screen is opened first, the image looks small, but is in proper proportions.

When using the default screen, AMAL fails.

In the Amiga manifest the AMAL also fails. The screens are still distorted, but differently.

History

#1 - 09/12/2020 04:15 AM - Brian Flanagan

Example:

“#manifest: "amiga”

' Screen Open 0,320,256,32,Lowres
Flash Off : Curs Off

Load Iff "AMOSPro_Examples:Iff/Logo. Iff"

Channel 0 To Screen Display 0

Amal 0,"Loop: Move 0,200,100; Move 0,-200,100; Jump Loop"
Amal On

Wait Key™ ™

With the screen command commented, the image is distorted, and AMAL fails.

In AOZ mode it works similarly, but the image is even more distorted.
Enabling the Screen Open will make the code work.

#2 - 09/12/2020 04:43 AM - Brian Flanagan

In the case of the first example, in the Amiga manifest, the result should be an error:

Can't fit picture in current screen at line NNN
...since the default screen size is 320 x 200, and the image size is 320x256.

In the AOZ manifest, however, it should work fine, since the default screen size is plenty big at 1280x720.

#3 - 09/14/2020 11:13 AM - Brian Flanagan

- Subject changed from When using default screen, Load IFF distorts image. Also, AMAL fails if using default screen. to Default Screen Issues: When

using default screen, Load IFF distorts image. AMAL fails if using default screen.

- Priority changed from Normal to Low
